clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::DeclaratorChunk::ArrayTypeInfo Struct Reference

`#include "clang/Sema/DeclSpec.h"`

Collaboration diagram for clang::DeclaratorChunk::ArrayTypeInfo:
[legend]

## Public Member Functions
void | destroy ()

## Public Attributes
unsigned | TypeQuals: 5
| The type qualifiers for the array: const/volatile/restrict/__unaligned/_Atomic. More...
unsigned | hasStatic: 1
| True if this dimension included the 'static' keyword. More...
unsigned | isStar: 1
| True if this dimension was [*]. In this case, NumElts is null. More...
Expr * | NumElts
| This is the size of the array, or null if [] or [*] was specified. More...

## Detailed Description

Definition at line 1224 of file DeclSpec.h.

## Member Function Documentation

## ◆ destroy()

void clang::DeclaratorChunk::ArrayTypeInfo::destroy | ( |  | ) |
| inline

Definition at line 1240 of file DeclSpec.h.

## Member Data Documentation

## ◆ hasStatic

unsigned clang::DeclaratorChunk::ArrayTypeInfo::hasStatic

True if this dimension included the 'static' keyword.

Definition at line 1230 of file DeclSpec.h.

Referenced by clang::Sema::ActOnCXXNew(), and clang::DeclaratorChunk::getArray().

## ◆ isStar

unsigned clang::DeclaratorChunk::ArrayTypeInfo::isStar

True if this dimension was [*]. In this case, NumElts is null.

Definition at line 1233 of file DeclSpec.h.

Referenced by clang::DeclaratorChunk::getArray().

## ◆ NumElts

Expr* clang::DeclaratorChunk::ArrayTypeInfo::NumElts

This is the size of the array, or null if [] or [*] was specified.

Since the parser is multi-purpose, and we don't want to impose a root expression class on all clients, NumElts is untyped.

Definition at line 1238 of file DeclSpec.h.

Referenced by clang::Sema::ActOnCXXNew(), clang::Sema::containsUnexpandedParameterPacks(), clang::DeclaratorChunk::getArray(), and clang::Declarator::isArrayOfUnknownBound().

## ◆ TypeQuals

unsigned clang::DeclaratorChunk::ArrayTypeInfo::TypeQuals

The type qualifiers for the array: const/volatile/restrict/__unaligned/_Atomic.

Definition at line 1227 of file DeclSpec.h.

Referenced by clang::DeclaratorChunk::getArray().

The documentation for this struct was generated from the following file:

- include/clang/Sema/DeclSpec.h